/realms/{realmId}/organizations/{organizationId}/contracts
curl --request POST \
--url https://api.platform.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/contracts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parties": [
{
"type": "<string>",
"id": "<string>",
"entityType": "<string>"
}
],
"startAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"endAt": "<string>"
}
'import requests
url = "https://api.platform.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/contracts"
payload = {
"parties": [
{
"type": "<string>",
"id": "<string>",
"entityType": "<string>"
}
],
"startAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"endAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parties: [{type: '<string>', id: '<string>', entityType: '<string>'}],
startAt: '2023-11-07T05:31:56Z',
description: '<string>',
endAt: '<string>'
})
};
fetch('https://api.platform.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Contracts & Deals
/realms/{realmId}/organizations/{organizationId}/contracts
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
contracts
/realms/{realmId}/organizations/{organizationId}/contracts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
default
Undocumented response (no code type, no existing spec).
/realms/{realmId}/organizations/{organizationId}/contracts/realms/{realmId}/organizations/{organizationId}/contracts/{contractId}
⌘I